data:extend({
  {
    type = "furnace",
    name = "freezer",
    icon = "__SevenIndustries__/graphics/freezer/freezer-icon.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {mining_time = 1, result = "freezer"},
    max_health = 200,
    corpse = "medium-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 100
      }
    },
    collision_box = {{-0.7, -0.7}, {0.7, 0.7}},
    selection_box = {{-0.8, -1}, {0.8, 1}},
    module_specification =
    {
      module_slots = 2,
      module_info_icon_shift = {0, 0.8}
    },
    allowed_effects = {"consumption", "speed", "productivity", "pollution"},
    crafting_categories = {"freezing"},
    result_inventory_size = 1,
    crafting_speed = 1,
    energy_usage = "150kW",
    source_inventory_size = 0,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.0025
    },
    vehicle_impact_sound =  {filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65},
    working_sound =
    {
      sound =
      {
        filename = "__base__/soundboiler.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    animation =
    {
      filename = "__SevenIndustries__/graphics/freezer/freezer.png",
      priority = "high",
      width = 140,
      height = 76,
      frame_count = 1,
      shift = {1.21875, -0.125}
    },
    working_visualisations =
    {
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        animation =
        {
          filename = "__SevenIndustries__/graphics/freezer/freezer-fire.png",
          priority = "high",
          line_length = 8,
          width = 29,
          height = 41,
          frame_count = 48,
          axially_symmetrical = false,
          direction_count = 1,
          shift = {-0.01563, 0.171875},
        },
        light = {intensity = 1, size = 1}
      },
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        effect = "flicker", -- changes alpha based on energy source light intensity
        animation =
        {
          filename = "__SevenIndustries__/graphics/freezer/freezer-glow.png",
          priority = "high",
          width = 60,
          height = 43,
          frame_count = 1,
          shift = {0.03125, 0.640625},
          blend_mode = "additive"
        }
      },
      {
        north_position = {0.0, 0.0},
        east_position = {0.0, 0.0},
        south_position = {0.0, 0.0},
        west_position = {0.0, 0.0},
        effect = "flicker", -- changes alpha based on energy source light intensity
        animation =
        {
          filename = "__SevenIndustries__/graphics/freezer/freezer-working-lighting.png",
          priority = "high",
          line_length = 8,
          width = 58,
          height = 59,
          frame_count = 1,
          axially_symmetrical = false,
          direction_count = 1,
          shift = {0.09375, 0.046875},
          blend_mode = "additive"
        }
      }
    }
  }
})
